function fluids = coolPropFluidsStructs()
% Fluids taken from CoolProp. Used for lookup of properties.

%{
Copyright 2009-2020 SINTEF Digital, Mathematics & Cybernetics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}

fluids = [...
struct('name', 'R507A', 'Tcrit', 343.765, 'Pcrit', 3704900.0,'rhocrit',490.74, 'acentric', 0.286, 'molarmass', 0.0988592), ...
struct('name', 'RC318', 'Tcrit', 388.38, 'Pcrit', 2777500.0,'rhocrit',619.972700656, 'acentric', 0.355345, 'molarmass', 0.2000312), ...
struct('name', 'SES36', 'Tcrit', 450.7, 'Pcrit', 2849000.0,'rhocrit',517.58, 'acentric', 0.352, 'molarmass', 0.18485), ...
struct('name', 'SulfurDioxide', 'Tcrit', 430.64, 'Pcrit', 7886587.60035,'rhocrit',525.002841, 'acentric', 0.256129936199, 'molarmass', 0.0640638), ...
struct('name', 'SulfurHexafluoride', 'Tcrit', 318.7232, 'Pcrit', 3754983.0,'rhocrit',742.3, 'acentric', 0.21, 'molarmass', 0.1460554192), ...
struct('name', 'Toluene', 'Tcrit', 591.75, 'Pcrit', 4126000.0,'rhocrit',291.98665298, 'acentric', 0.2657, 'molarmass', 0.09213842), ...
struct('name', 'trans-2-Butene', 'Tcrit', 428.61, 'Pcrit', 4027300.0,'rhocrit',236.37592616, 'acentric', 0.210076834436, 'molarmass', 0.05610632), ...
struct('name', 'Water', 'Tcrit', 647.096, 'Pcrit', 22064000.0,'rhocrit',322.0, 'acentric', 0.3442920843, 'molarmass', 0.018015268), ...
struct('name', 'Xenon', 'Tcrit', 289.733, 'Pcrit', 5842000.0,'rhocrit',1102.8612, 'acentric', 0.00363, 'molarmass', 0.131293), ...
struct('name', '1-Butene', 'Tcrit', 419.29, 'Pcrit', 4005100.0,'rhocrit',237.8907968, 'acentric', 0.191860647355, 'molarmass', 0.05610632), ...
struct('name', 'Acetone', 'Tcrit', 508.1, 'Pcrit', 4700000.0,'rhocrit',272.971958, 'acentric', 0.3071, 'molarmass', 0.05807914), ...
struct('name', 'Air', 'Tcrit', 132.5306, 'Pcrit', 3786000.0,'rhocrit',342.684564168, 'acentric', 0.0335, 'molarmass', 0.02896546), ...
struct('name', 'Ammonia', 'Tcrit', 405.4, 'Pcrit', 11333000.0,'rhocrit',225.0, 'acentric', 0.25601, 'molarmass', 0.01703026), ...
struct('name', 'Argon', 'Tcrit', 150.687, 'Pcrit', 4863000.0,'rhocrit',535.6, 'acentric', -0.00219, 'molarmass', 0.039948), ...
struct('name', 'Benzene', 'Tcrit', 562.02, 'Pcrit', 4894000.0,'rhocrit',304.7922436, 'acentric', 0.21083697327, 'molarmass', 0.0781118), ...
struct('name', 'CarbonDioxide', 'Tcrit', 304.1282, 'Pcrit', 7377300.0,'rhocrit',467.600001282, 'acentric', 0.22394, 'molarmass', 0.0440098), ...
struct('name', 'CarbonMonoxide', 'Tcrit', 132.86, 'Pcrit', 3494000.0,'rhocrit',303.909585, 'acentric', 0.0497, 'molarmass', 0.0280101), ...
struct('name', 'CarbonylSulfide', 'Tcrit', 378.77, 'Pcrit', 6370000.0,'rhocrit',445.156491, 'acentric', 0.0978, 'molarmass', 0.0600751), ...
struct('name', 'cis-2-Butene', 'Tcrit', 435.75, 'Pcrit', 4225500.0,'rhocrit',238.11522208, 'acentric', 0.20235958587, 'molarmass', 0.05610632), ...
struct('name', 'CycloHexane', 'Tcrit', 553.6, 'Pcrit', 4082400.0,'rhocrit',271.33016352, 'acentric', 0.20926, 'molarmass', 0.08415948), ...
struct('name', 'Cyclopentane', 'Tcrit', 511.72, 'Pcrit', 4571200.0,'rhocrit',267.907678, 'acentric', 0.201112573381, 'molarmass', 0.0701329), ...
struct('name', 'CycloPropane', 'Tcrit', 398.3, 'Pcrit', 5579700.0,'rhocrit',258.500001907, 'acentric', 0.130549566369, 'molarmass', 0.042081), ...
struct('name', 'D4', 'Tcrit', 586.5, 'Pcrit', 1347215.35609,'rhocrit',309.37023768, 'acentric', 0.598124826799, 'molarmass', 0.29661576), ...
struct('name', 'D5', 'Tcrit', 619.15, 'Pcrit', 1160000.0,'rhocrit',304.909284957, 'acentric', 0.658, 'molarmass', 0.3707697), ...
struct('name', 'D6', 'Tcrit', 645.78, 'Pcrit', 961000.0,'rhocrit',279.095729841, 'acentric', 0.736, 'molarmass', 0.444924), ...
struct('name', 'Deuterium', 'Tcrit', 38.34, 'Pcrit', 1679600.0,'rhocrit',69.405886, 'acentric', -0.136290274128, 'molarmass', 0.0040282), ...
struct('name', 'Dichloroethane', 'Tcrit', 561.6, 'Pcrit', 5227585.10308,'rhocrit',428.49247, 'acentric', 0.268578500874, 'molarmass', 0.098959), ...
struct('name', 'DiethylEther', 'Tcrit', 466.7, 'Pcrit', 3649016.89653,'rhocrit',263.99999972, 'acentric', 0.281929331175, 'molarmass', 0.0741216), ...
struct('name', 'DimethylCarbonate', 'Tcrit', 557.0, 'Pcrit', 4908800.0,'rhocrit',360.3116, 'acentric', 0.346, 'molarmass', 0.0900779), ...
struct('name', 'DimethylEther', 'Tcrit', 400.378, 'Pcrit', 5336800.0,'rhocrit',273.6465336, 'acentric', 0.196, 'molarmass', 0.04606844), ...
struct('name', 'Ethane', 'Tcrit', 305.322, 'Pcrit', 4872200.0,'rhocrit',206.180000007, 'acentric', 0.099, 'molarmass', 0.03006904), ...
struct('name', 'Ethanol', 'Tcrit', 514.71, 'Pcrit', 6268000.0,'rhocrit',273.1858492, 'acentric', 0.644, 'molarmass', 0.04606844), ...
struct('name', 'EthylBenzene', 'Tcrit', 617.12, 'Pcrit', 3622400.0,'rhocrit',290.99996364, 'acentric', 0.304, 'molarmass', 0.106165), ...
struct('name', 'Ethylene', 'Tcrit', 282.35, 'Pcrit', 5041800.0,'rhocrit',214.24, 'acentric', 0.0866, 'molarmass', 0.02805376), ...
struct('name', 'EthyleneOxide', 'Tcrit', 468.92, 'Pcrit', 7304686.15964,'rhocrit',315.8568552, 'acentric', 0.21019548905, 'molarmass', 0.04405256), ...
struct('name', 'Fluorine', 'Tcrit', 144.414, 'Pcrit', 5172400.0,'rhocrit',592.86422643, 'acentric', 0.0449, 'molarmass', 0.03799681), ...
struct('name', 'HeavyWater', 'Tcrit', 643.847, 'Pcrit', 21672051.4798,'rhocrit',355.999969829, 'acentric', 0.364300568809, 'molarmass', 0.020027508), ...
struct('name', 'Helium', 'Tcrit', 5.1953, 'Pcrit', 227600.0,'rhocrit',72.56717426, 'acentric', -0.385, 'molarmass', 0.004002602), ...
struct('name', 'HFE143m', 'Tcrit', 377.921, 'Pcrit', 3635000.0,'rhocrit',465.00000003, 'acentric', 0.28887136567, 'molarmass', 0.10004), ...
struct('name', 'Hydrogen', 'Tcrit', 33.145, 'Pcrit', 1296400.0,'rhocrit',31.26226704, 'acentric', -0.219, 'molarmass', 0.00201588), ...
struct('name', 'HydrogenChloride', 'Tcrit', 324.55, 'Pcrit', 8288160.90445,'rhocrit',430.23862, 'acentric', 0.128189217431, 'molarmass', 0.0364609), ...
struct('name', 'HydrogenSulfide', 'Tcrit', 373.1, 'Pcrit', 9000000.0,'rhocrit',347.2841672, 'acentric', 0.1005, 'molarmass', 0.03408088), ...
struct('name', 'IsoButane', 'Tcrit', 407.817, 'Pcrit', 3629000.0,'rhocrit',225.5, 'acentric', 0.183531783208, 'molarmass', 0.0581222), ...
struct('name', 'IsoButene', 'Tcrit', 418.09, 'Pcrit', 4009800.0,'rhocrit',233.9633544, 'acentric', 0.192593452162, 'molarmass', 0.05610632), ...
struct('name', 'Isohexane', 'Tcrit', 497.7, 'Pcrit', 3040000.0,'rhocrit',233.9661024, 'acentric', 0.2797, 'molarmass', 0.08617536), ...
struct('name', 'Isopentane', 'Tcrit', 460.35, 'Pcrit', 3378000.0,'rhocrit',235.99865938, 'acentric', 0.2274, 'molarmass', 0.07214878), ...
struct('name', 'Krypton', 'Tcrit', 209.48, 'Pcrit', 5525000.0,'rhocrit',909.2083, 'acentric', -0.00089, 'molarmass', 0.083798), ...
struct('name', 'm-Xylene', 'Tcrit', 616.89, 'Pcrit', 3534600.0,'rhocrit',282.929725, 'acentric', 0.326, 'molarmass', 0.106165), ...
struct('name', 'MD2M', 'Tcrit', 599.4, 'Pcrit', 1227000.0,'rhocrit',284.171639662, 'acentric', 0.668, 'molarmass', 0.310685), ...
struct('name', 'MD3M', 'Tcrit', 628.36, 'Pcrit', 945000.0,'rhocrit',263.921879135, 'acentric', 0.722, 'molarmass', 0.384839), ...
struct('name', 'MD4M', 'Tcrit', 653.2, 'Pcrit', 877000.0,'rhocrit',278.177742673, 'acentric', 0.824647147264, 'molarmass', 0.45899328), ...
struct('name', 'MDM', 'Tcrit', 564.09, 'Pcrit', 1410044.75582,'rhocrit',256.739908797, 'acentric', 0.528065849054, 'molarmass', 0.23653146), ...
struct('name', 'Methane', 'Tcrit', 190.564, 'Pcrit', 4599200.0,'rhocrit',162.660002678, 'acentric', 0.01142, 'molarmass', 0.0160428), ...
struct('name', 'Methanol', 'Tcrit', 512.5, 'Pcrit', 8215850.0,'rhocrit',273.0, 'acentric', 0.5720322, 'molarmass', 0.03204216), ...
struct('name', 'MethylLinoleate', 'Tcrit', 799.0, 'Pcrit', 1341000.0,'rhocrit',238.051213304, 'acentric', 0.805406387056, 'molarmass', 0.29447206), ...
struct('name', 'MethylLinolenate', 'Tcrit', 772.0, 'Pcrit', 1369000.0,'rhocrit',247.798121314, 'acentric', 1.14260525867, 'molarmass', 0.29245618), ...
struct('name', 'MethylOleate', 'Tcrit', 782.0, 'Pcrit', 1246000.0,'rhocrit',241.000222029, 'acentric', 0.905849359988, 'molarmass', 0.29648794), ...
struct('name', 'MethylPalmitate', 'Tcrit', 755.0, 'Pcrit', 1350000.0,'rhocrit',242.59424202, 'acentric', 0.910316178, 'molarmass', 0.27045066), ...
struct('name', 'MethylStearate', 'Tcrit', 775.0, 'Pcrit', 1239000.0,'rhocrit',237.101584226, 'acentric', 1.01756, 'molarmass', 0.29850382), ...
struct('name', 'MM', 'Tcrit', 518.75, 'Pcrit', 1939000.0,'rhocrit',258.151840734, 'acentric', 0.418, 'molarmass', 0.16237752), ...
struct('name', 'n-Butane', 'Tcrit', 425.125, 'Pcrit', 3796000.0,'rhocrit',228.0, 'acentric', 0.200810094644, 'molarmass', 0.0581222), ...
struct('name', 'n-Decane', 'Tcrit', 617.7, 'Pcrit', 2103000.0,'rhocrit',233.3419552, 'acentric', 0.4884, 'molarmass', 0.14228168), ...
struct('name', 'n-Dodecane', 'Tcrit', 658.1, 'Pcrit', 1817000.0,'rhocrit',226.5453372, 'acentric', 0.574182221241, 'molarmass', 0.17033484), ...
struct('name', 'n-Heptane', 'Tcrit', 540.13, 'Pcrit', 2736000.0,'rhocrit',232.0, 'acentric', 0.349, 'molarmass', 0.100202), ...
struct('name', 'n-Hexane', 'Tcrit', 507.82, 'Pcrit', 3034000.0,'rhocrit',233.18, 'acentric', 0.299, 'molarmass', 0.08617536), ...
struct('name', 'n-Nonane', 'Tcrit', 594.55, 'Pcrit', 2281000.0,'rhocrit',232.141731, 'acentric', 0.4433, 'molarmass', 0.1282551), ...
struct('name', 'n-Octane', 'Tcrit', 569.32, 'Pcrit', 2497000.0,'rhocrit',234.8994874, 'acentric', 0.395, 'molarmass', 0.1142285), ...
struct('name', 'n-Pentane', 'Tcrit', 469.7, 'Pcrit', 3370000.0,'rhocrit',232.0, 'acentric', 0.251, 'molarmass', 0.07214878), ...
struct('name', 'n-Propane', 'Tcrit', 369.89, 'Pcrit', 4251200.0,'rhocrit',220.4781, 'acentric', 0.1521, 'molarmass', 0.04409562), ...
struct('name', 'n-Undecane', 'Tcrit', 638.8, 'Pcrit', 1990400.0,'rhocrit',236.794019, 'acentric', 0.539037101372, 'molarmass', 0.15630826), ...
struct('name', 'Neon', 'Tcrit', 44.4918, 'Pcrit', 2680000.0,'rhocrit',481.914878, 'acentric', -0.0384492992737, 'molarmass', 0.020179), ...
struct('name', 'Neopentane', 'Tcrit', 433.74, 'Pcrit', 3196000.0,'rhocrit',235.9265106, 'acentric', 0.1961, 'molarmass', 0.07214878), ...
struct('name', 'Nitrogen', 'Tcrit', 126.192, 'Pcrit', 3395800.0,'rhocrit',313.3, 'acentric', 0.0372, 'molarmass', 0.02801348), ...
struct('name', 'NitrousOxide', 'Tcrit', 309.52, 'Pcrit', 7245000.0,'rhocrit',452.011456, 'acentric', 0.1613, 'molarmass', 0.0440128), ...
struct('name', 'Novec649', 'Tcrit', 441.81, 'Pcrit', 1869026.58306,'rhocrit',606.804096, 'acentric', 0.47102359358, 'molarmass', 0.3160438), ...
struct('name', 'o-Xylene', 'Tcrit', 630.259, 'Pcrit', 3737500.0,'rhocrit',284.9999425, 'acentric', 0.312, 'molarmass', 0.106165), ...
struct('name', 'OrthoDeuterium', 'Tcrit', 38.34, 'Pcrit', 1679600.0,'rhocrit',69.405886, 'acentric', -0.136290274128, 'molarmass', 0.0040282), ...
struct('name', 'OrthoHydrogen', 'Tcrit', 33.22, 'Pcrit', 1310650.0,'rhocrit',31.1352666, 'acentric', -0.219, 'molarmass', 0.00201594), ...
struct('name', 'Oxygen', 'Tcrit', 154.581, 'Pcrit', 5043000.0,'rhocrit',436.143644, 'acentric', 0.0222, 'molarmass', 0.0319988), ...
struct('name', 'p-Xylene', 'Tcrit', 616.168, 'Pcrit', 3531500.0,'rhocrit',286.0000168, 'acentric', 0.324, 'molarmass', 0.106165), ...
struct('name', 'ParaDeuterium', 'Tcrit', 38.34, 'Pcrit', 1679600.0,'rhocrit',69.405886, 'acentric', -0.136290274128, 'molarmass', 0.0040282), ...
struct('name', 'ParaHydrogen', 'Tcrit', 32.938, 'Pcrit', 1285800.0,'rhocrit',31.32274344, 'acentric', -0.219, 'molarmass', 0.00201588), ...
struct('name', 'Propylene', 'Tcrit', 364.211, 'Pcrit', 4555000.0,'rhocrit',229.62914118, 'acentric', 0.146, 'molarmass', 0.04207974), ...
struct('name', 'Propyne', 'Tcrit', 402.38, 'Pcrit', 5626000.0,'rhocrit',244.8999998, 'acentric', 0.204, 'molarmass', 0.04006), ...
struct('name', 'R11', 'Tcrit', 471.06, 'Pcrit', 4394000.0,'rhocrit',565.0, 'acentric', 0.188750648253, 'molarmass', 0.137368), ...
struct('name', 'R113', 'Tcrit', 487.21, 'Pcrit', 3392200.0,'rhocrit',560.0, 'acentric', 0.252535, 'molarmass', 0.187375), ...
struct('name', 'R114', 'Tcrit', 418.83, 'Pcrit', 3257000.0,'rhocrit',579.9691372, 'acentric', 0.2523, 'molarmass', 0.170921), ...
struct('name', 'R115', 'Tcrit', 353.1, 'Pcrit', 3129036.96828,'rhocrit',614.77633568, 'acentric', 0.248434993066, 'molarmass', 0.154466416), ...
struct('name', 'R116', 'Tcrit', 293.03, 'Pcrit', 3048000.0,'rhocrit',613.32452808, 'acentric', 0.2566, 'molarmass', 0.13801182), ...
struct('name', 'R12', 'Tcrit', 385.12, 'Pcrit', 4136100.0,'rhocrit',565.0, 'acentric', 0.179478317344, 'molarmass', 0.120913), ...
struct('name', 'R123', 'Tcrit', 456.831, 'Pcrit', 3672000.0,'rhocrit',550.003648227, 'acentric', 0.281922497036, 'molarmass', 0.152931), ...
struct('name', 'R1233zd(E)', 'Tcrit', 439.6, 'Pcrit', 3623637.77636,'rhocrit',480.219392, 'acentric', 0.30245229358, 'molarmass', 0.1304944), ...
struct('name', 'R1234yf', 'Tcrit', 367.85, 'Pcrit', 3382200.0,'rhocrit',475.553441976, 'acentric', 0.276, 'molarmass', 0.1140415928), ...
struct('name', 'R1234ze(E)', 'Tcrit', 382.52, 'Pcrit', 3636250.0,'rhocrit',489.238433112, 'acentric', 0.313, 'molarmass', 0.1140415928), ...
struct('name', 'R1234ze(Z)', 'Tcrit', 423.27, 'Pcrit', 3533000.0,'rhocrit',470.0, 'acentric', 0.3274, 'molarmass', 0.1140415928), ...
struct('name', 'R124', 'Tcrit', 395.425, 'Pcrit', 3624295.0,'rhocrit',560.0, 'acentric', 0.288095084221, 'molarmass', 0.1364762), ...
struct('name', 'R125', 'Tcrit', 339.173, 'Pcrit', 3617700.0,'rhocrit',573.5822706, 'acentric', 0.3052, 'molarmass', 0.1200214), ...
struct('name', 'R13', 'Tcrit', 301.88, 'Pcrit', 3879000.0,'rhocrit',582.88122, 'acentric', 0.174586327798, 'molarmass', 0.104459), ...
struct('name', 'R134a', 'Tcrit', 374.21, 'Pcrit', 4059280.0,'rhocrit',511.899951696, 'acentric', 0.32684, 'molarmass', 0.102032), ...
struct('name', 'R13I1', 'Tcrit', 396.44, 'Pcrit', 3952566.07172,'rhocrit',868.00061824, 'acentric', 0.17618111777, 'molarmass', 0.1959104), ...
struct('name', 'R14', 'Tcrit', 227.51, 'Pcrit', 3750000.0,'rhocrit',625.661610529, 'acentric', 0.1785, 'molarmass', 0.0880046), ...
struct('name', 'R141b', 'Tcrit', 477.5, 'Pcrit', 4212000.0,'rhocrit',458.55946002, 'acentric', 0.2195, 'molarmass', 0.11694962), ...
struct('name', 'R142b', 'Tcrit', 410.26, 'Pcrit', 4055000.0,'rhocrit',445.99694314, 'acentric', 0.2321, 'molarmass', 0.10049503), ...
struct('name', 'R143a', 'Tcrit', 345.857, 'Pcrit', 3761000.0,'rhocrit',431.00006645, 'acentric', 0.261489646224, 'molarmass', 0.084041), ...
struct('name', 'R152A', 'Tcrit', 386.411, 'Pcrit', 4520000.0,'rhocrit',368.0, 'acentric', 0.275217114532, 'molarmass', 0.066051), ...
struct('name', 'R161', 'Tcrit', 375.25, 'Pcrit', 5010000.0,'rhocrit',301.81366, 'acentric', 0.216242841066, 'molarmass', 0.0480595), ...
struct('name', 'R21', 'Tcrit', 451.48, 'Pcrit', 5181200.0,'rhocrit',526.013794619, 'acentric', 0.2061, 'molarmass', 0.1029227), ...
struct('name', 'R218', 'Tcrit', 345.02, 'Pcrit', 2640000.0,'rhocrit',627.9845622, 'acentric', 0.3172, 'molarmass', 0.18801933), ...
struct('name', 'R22', 'Tcrit', 369.295, 'Pcrit', 4990000.0,'rhocrit',523.84216696, 'acentric', 0.22082, 'molarmass', 0.086468), ...
struct('name', 'R227EA', 'Tcrit', 374.9, 'Pcrit', 2925242.23394,'rhocrit',594.2508657, 'acentric', 0.357641241953, 'molarmass', 0.17002886), ...
struct('name', 'R23', 'Tcrit', 299.293, 'Pcrit', 4832000.0,'rhocrit',526.504152, 'acentric', 0.262964892496, 'molarmass', 0.07001385), ...
struct('name', 'R236EA', 'Tcrit', 412.44, 'Pcrit', 3420000.0,'rhocrit',564.9746944, 'acentric', 0.368782380399, 'molarmass', 0.1520384), ...
struct('name', 'R236FA', 'Tcrit', 398.07, 'Pcrit', 3200000.0,'rhocrit',551.2912384, 'acentric', 0.376911797634, 'molarmass', 0.1520384), ...
struct('name', 'R245ca', 'Tcrit', 447.57, 'Pcrit', 3940740.48875,'rhocrit',525.4679248, 'acentric', 0.354565419124, 'molarmass', 0.13404794), ...
struct('name', 'R245fa', 'Tcrit', 427.01, 'Pcrit', 3651000.0,'rhocrit',519.4357675, 'acentric', 0.3776, 'molarmass', 0.13404794), ...
struct('name', 'R32', 'Tcrit', 351.255, 'Pcrit', 5782000.0,'rhocrit',424.00000123, 'acentric', 0.2769, 'molarmass', 0.052024), ...
struct('name', 'R365MFC', 'Tcrit', 460.0, 'Pcrit', 3266207.06788,'rhocrit',473.838464, 'acentric', 0.377445097168, 'molarmass', 0.14807452), ...
struct('name', 'R40', 'Tcrit', 416.3, 'Pcrit', 6671686.97714,'rhocrit',363.218982472, 'acentric', 0.150068496396, 'molarmass', 0.05048752), ...
struct('name', 'R404A', 'Tcrit', 345.27, 'Pcrit', 3734800.0,'rhocrit',482.162772, 'acentric', 0.293, 'molarmass', 0.0976038), ...
struct('name', 'R407C', 'Tcrit', 359.345, 'Pcrit', 4631700.0,'rhocrit',453.43094, 'acentric', 0.363, 'molarmass', 0.0862036), ...
struct('name', 'R41', 'Tcrit', 317.28, 'Pcrit', 5897000.0,'rhocrit',316.506156, 'acentric', 0.2004, 'molarmass', 0.03403292), ...
struct('name', 'R410A', 'Tcrit', 344.494, 'Pcrit', 4901200.0,'rhocrit',459.0300696, 'acentric', 0.296, 'molarmass', 0.0725854)];

end
