classdef ThermalFlowPropertyFunctions < FlowPropertyFunctions
    properties
        PhaseInternalEnergy
        PhaseEnthalpy
        RockInternalEnergy
        
    end
    methods
        function props = ThermalFlowPropertyFunctions(model)
            props = props@FlowPropertyFunctions(model);
            
            props.PhaseInternalEnergy       = PhaseInternalEnergy(model);
            props.PhaseEnthalpy             = PhaseEnthalpy(model);
            props.RockInternalEnergy        = RockInternalEnergy(model);
            props.Density                   = ThermalDensity(model);
            props.Viscosity                 = ThermalViscosity(model);
            props.PoreVolume                = pTMultipliedPoreVolume(model);
        end        
    end    
end