classdef RockHeatFlux < StateFunction
  
    properties
        thermal = true; 
    end
    
    methods
        function gp = RockHeatFlux(model, varargin)
            gp@StateFunction(model, varargin{:});
            gp = gp.dependsOn({'temperature'},'state');
            gp = gp.dependsOn({'RockConductivity'});
        end
        
        function HFlux_r = evaluateOnDomain(prop,model, state)
            op = model.operators;
            T  = model.getProp(state,'temperature');
            T_heat_R = prop.getEvaluatedDependencies(state, 'RockConductivity');
            HFlux_r  = -T_heat_R.*op.Grad(T);
        end 
    end   
end

