% DATASETS
%   Collection of external datasets known to MRST
%
% Files
%   dataset_aquifertest          - Info function for the dataset of a 2D oil-water two phase cases with Fetkovich aquifers. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_bedmodel2            - Info function for bedModel2 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_bedmodels1           - Info function for bedModels1 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_blackoilpolymer2d    - Info function for the dataset of a 2D black-oil polymer example. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_caseb4               - Info function for CaseB4 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_co2atlas             - Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_co2atlasbarentssea   - Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_co2atlasnorwegiansea - Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_egg                  - Info function for Egg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_eor_book_ii          - Info function for a set of water-EOR cases from the second MRST book
%   dataset_igemsgrids           - Dataset Function for IGEMS Grids
%   dataset_igemssample          - Dataset Function for IGEMS Sample
%   dataset_igemssurfaces        - Dataset Function for IGEMS Surfaces
%   dataset_johansen             - Info function for Johansen dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_msfractures          - Info function for MSFractures dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_norne                - Info function for Norne dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_bjarmeland       - Info function for Frigg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_egersund         - Info function for Egersund dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_frigg            - Info function for Frigg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_froanbasin       - Info function for Frigg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_stordbasin       - Info function for Frigg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_npd_utsira           - Info function for Frigg dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_olympus              - Info function for Olympus benchmark dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_saigup               - Info function for SAIGUP dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_sftspe9              - Info function for SPE9 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_simplecomp           - Info function for simple compositional dataset. 
%   dataset_sleipner             - Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_sleipnerplumes       - Info function for CO2lab dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_spe1                 - Info function for SPE1 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_spe10                - Info function for SPE10 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_spe3                 - Info function for SPE3 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.
%   dataset_spe9                 - Info function for SPE9 dataset. Use getDatasetInfo or getAvailableDatasets for practical purposes.

%{
Copyright 2009-2020 SINTEF Digital, Mathematics & Cybernetics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
