function [info, present] = dataset_igemsgrids()
%Dataset Function for IGEMS Grids

%{
Copyright 2009-2020 SINTEF Digital, Mathematics & Cybernetics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}

   [info, present] = datasetInfoStruct(...
       'name', 'IGEMS grids', ...
       'website', 'https://www.nr.no/IGEMS/', ...
       'fileurl', 'http://files.nr.no/igems/eclipsegrids.zip', ...
       'hasGrid', true, ...
       'hasRock', true, ...
       'cells', 3600000, ...
       'examples', {}, ...
       'filesize', 470, ...
       'description', [...
           'Grids generated in the IGEMS project to study the impact of ' ...
           'caprock shape on CO2 migration using geologically realistic ' ...
           'models.  NB: This is a large dataset (470 Mb) containing 15 ' ...
           'high-resolution grid models on ECLIPSE format.'], ... 
       'modelType', 'Corner-point');
end
