function [info, present] = dataset_igemssample()
%Dataset Function for IGEMS Sample

%{
Copyright 2009-2020 SINTEF Digital, Mathematics & Cybernetics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}

   [info, present] = datasetInfoStruct(...
       'name', 'IGEMSsample', ...
       'website', 'https://www.nr.no/IGEMS/', ...
       'fileurl', 'https://www.sintef.no/contentassets/124f261f170947a6bc51dd76aea66129/igems_sample.zip', ...
       'hasGrid', true, ...
       'hasRock', false, ...
       'cells', 3600000, ...
       'examples', {}, ...
       'filesize', 9.7, ...
       'description', [...
           'Sample subset of the IGEMS dataset (one of each type of top surface).'...
           ], ... 
       'modelType', 'Corner-point');
end
